Summary:        Code coverage testing module for Python
Name:           python-coverage
Version:        7.2.7
Release:        4%{?dist}
License:        ASL 2.0 and MIT and (MIT or GPL)
URL:            http://nedbatchelder.com/code/modules/coverage.html
Source0:        https://pypi.python.org/packages/source/c/coverage/coverage-%{version}.tar.gz

BuildRequires:  gcc

%description
This module is used to measure code coverage during Python execution. It uses the code analysis 
tools and tracing hooks provided in the Python standard library to determine which lines are 
executable, and which have been executed.

%package -n python3-coverage
Summary:        Code coverage testing module for Python 3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-setuptools
Provides:       python3-coverage = %{version}-%{release}
Provides:       bundled(js-jquery) = 1.11.1
Provides:       bundled(js-jquery-debounce) = 1.1
Provides:       bundled(js-jquery-hotkeys) = 0.8
Provides:       bundled(js-jquery-isonscreen) = 1.2.0
Provides:       bundled(js-jquery-tablesorter)

%description -n python3-coverage
This module is used to measure code coverage during Python execution. It uses the code analysis 
tools and tracing hooks provided in the Python standard library to determine which lines are 
executable, and which have been executed.

%package -n python3-coverage+toml
Summary:        Metapackage for python3-coverage: toml extras
Requires:       python3-coverage = %{version}-%{release}

%description -n python3-coverage+toml
This is a metapackage bringing in toml extra requires for python3-coverage.It contains no code, 
just makes sure the dependencies are installed.

%prep
%autosetup -n coverage-%{version}

find . -type f -exec chmod 0644 \{\} \;
sed -i 's/\r//g' README.rst

%build
%py3_build

%install
%py3_install
rm %{buildroot}/%{_bindir}/coverage

pushd %{buildroot}%{_bindir}
ln -s coverage-%{python3_version} coverage-3
ln -s coverage-%{python3_version} coverage
popd

%files -n python3-coverage
%license LICENSE.txt NOTICE.txt
%doc README.rst
%{_bindir}/coverage
%{_bindir}/coverage3
%{_bindir}/coverage-3*
%{python3_sitearch}/coverage/
%{python3_sitearch}/coverage*.egg-info/

%files -n python3-coverage+toml
%ghost %{python3_sitearch}/coverage*.egg-info

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.2.7-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.2.7-3
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.2.7-2
- Rebuilt for python 3.11

* Mon Sep 11 2023 Xiaojie Chen <jackxjchen@tencent.com> - 7.2.7-1
- Upgrade to upstream version 7.2.7

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.2-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.2-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 28 2022 Wang Guodong <gordonwwang@tencent.com> - 6.2-2
- Add metapackages for "toml" extras.

* Wed Dec 21 2022 Wang Guodong <gordonwwang@tencent.com> - 6.2-1
- package init.
